﻿<UserControl x:Class="UI.Views.LoggedInUser.LocationView"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:local="clr-namespace:UI.Views.LoggedInUser" xmlns:loggedinuser="clr-namespace:UI.ViewModels.LoggedInUser" d:DataContext="{d:DesignInstance Type=loggedinuser:LocationViewModel}"
             mc:Ignorable="d" 
             xmlns:hc="https://handyorg.github.io/handycontrol" 
             Background="White"
             d:DesignHeight="450" d:DesignWidth="800">
    <Grid>
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="1*" />
            <ColumnDefinition Width="2*" />
        </Grid.ColumnDefinitions>
        <Grid.RowDefinitions>
            <RowDefinition Height="auto" />
            <RowDefinition />
        </Grid.RowDefinitions>
        <hc:Divider 
            Grid.ColumnSpan="2"
            Content="Liste des localités" />
        <ListBox 
            Grid.Row="1"
            SelectedIndex="-1"
            SelectedItem="{Binding SelectedProvince}"
            ItemsSource="{Binding ListOfProvinces}" 
            DisplayMemberPath="Name" />
        <Grid Grid.Row="1" Grid.Column="1">
            <Grid.RowDefinitions>
                <RowDefinition />
                <RowDefinition Height="auto" />
                <RowDefinition Height="auto" />
            </Grid.RowDefinitions>
            <ListBox 
                Margin="10,0,0,0"
                SelectedItem="{Binding SelectedEntity}"
                ItemsSource="{Binding ListOfEntities}" />
            <StackPanel
                Margin="10,0,0,0"
                Grid.Row="3"
                Grid.Column="2">
                <TextBlock 
                    HorizontalAlignment="Left" 
                    Margin="0,10" 
                    Text="Ajouter une localité dans la province" 
                    Style="{StaticResource TextBlockBoldBaseStyle}" />
                <UniformGrid Columns="3">
                    <TextBox 
                        Text="{Binding Path=AddEntityToProvince.PostalCode, StringFormat='{}{0:#}'}"
                        Margin="0,0,5,0"
                        Style="{StaticResource TextBoxExtend}" 
                        hc:InfoElement.Placeholder="Code Postal" />
                    <TextBox
                        Text="{Binding Path=AddEntityToProvince.Name}"
                        Margin="5,0"
                        Style="{StaticResource TextBoxExtend}" 
                        hc:InfoElement.Placeholder="Localité" />
                    <Button
                        x:Name="AddLocality"
                        Margin="5,0,0,0"
                        HorizontalAlignment="Stretch"
                        Content="Ajouter"  
                        Style="{StaticResource ButtonInfo}" />
                </UniformGrid>
            </StackPanel>
        </Grid>
    </Grid>
</UserControl>
